Bug 28332 - [pci irq] Spurious error messages at boot.
[pci irq] Spurious error messages at boot.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 14:23 EST by Sam Varshavchik
Modified: 2007-03-26 23:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-12 23:06:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (1.63 KB, text/plain)
2001-02-19 14:24 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2001-02-19 14:23:39 EST
I'm getting some spurious errors at boot for a 3com PCMCIA card.  The
kernel appears to recover and the network card functions normally.  Perhaps
this is an anaconda setup issue:

PCI: No IRQ known for interrupt pin A of device 00:07.0. Please try using
pci=biosirq.
PCI: No IRQ known for interrupt pin B of device 00:07.1. Please try using
pci=biosirq.
Yenta IRQ list 0e80, PCI irq0
Socket status: 30000010
Yenta IRQ list 0e80, PCI irq0
Socket status: 30000006
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x300-0x307 0x378-0x37f
0x388-0x38f 0x398-0x39f 0x400-0x40f 0x480-0x48f 0x4c0-0x4df
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
eth0: 3Com 3c589, io 0x310, irq 9, hw_addr 00:60:97:46:2E:61
  8K FIFO split 5:3 Rx:Tx, auto xcvr
eth0: flipped to 10baseT
Comment 1 Sam Varshavchik 2001-02-19 14:24:09 EST
Created attachment 10400 [details]
lspci output
Comment 2 Arjan van de Ven 2001-02-20 04:45:14 EST
I'm marking this as duplicate of bug 28348 as that seems to be the same problem
but in a more serious way. 

*** This bug has been marked as a duplicate of 28348 ***
Comment 3 Michael K. Johnson 2001-02-27 12:24:05 EST
I want to track these two separately even if they might be the same
bug.
Comment 4 Phil Copeland 2001-02-27 12:30:50 EST
OK, here is another example of similar behavior this time for a Dell Inspiron
7500 I've added the lspci stuff at the end as well. This is semi intresting in
that it may indicate that this is not a Toshiba only problem (re possible
dupilicate #28348) 

Phil
=--=

Linux PCMCIA Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
ds: no socket drivers loaded!
PCI: Found IRQ 11 for device 00:04.0
PCI: The same IRQ used for device 00:04.1
PCI: The same IRQ used for device 01:00.0
PCI: Found IRQ 11 for device 00:04.1
PCI: The same IRQ used for device 00:04.0
PCI: The same IRQ used for device 01:00.0
Yenta IRQ list 0698, PCI irq11
Socket status: 30000006
Yenta IRQ list 0698, PCI irq11
Socket status: 30000220
cs: cb_alloc(bus 6): vendor 0x10b7, device 0x5157
  got res[3000:307f] for resource 0 of PCI device 10b7:5157
  got res[11000000:1100007f] for resource 1 of PCI device 10b7:5157
  got res[11000080:110000ff] for resource 2 of PCI device 10b7:5157
  got res[10c00000:10c1ffff] for resource 6 of PCI device 10b7:5157
PCI: Enabling device 06:00.0 (0000 -> 0003)
PCI: No IRQ known for interrupt pin A of device 06:00.0.
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0800-0x08ff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
3c59x.c:LK1.1.12 06 Jan 2000  Donald Becker and others.
http://www.scyld.com/net
work/vortex.html $Revision: 1.102.2.46 $
See Documentation/networking/vortex.txt
eth0: 3Com PCI 3CCFE575BT Cyclone CardBus at 0x3000, PCI: Setting
latency timer
of device 06:00.0 to 64
 00:10:4b:a2:91:1b, IRQ 11
  product code 'NV' rev 07.1 date 06-26-98
eth0: CardBus functions mapped 11000080->c891e080
  8K byte-wide RAM 5:3 Rx:Tx split, MII interface.
  MII transceiver found at address 0, status 7809.
  Enabling bus-master transmits and whole-frame receives.
eth0: using default media MII
spurious 8259A interrupt: IRQ7.


=======


00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge
(rev 03)
        Flags: bus master, medium devsel, latency 64
        Memory at e0000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [a0] AGP version 1.0
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 128
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: fc000000-fdffffff

00:04.0 CardBus bridge: Texas Instruments PCI1225 (rev 01)
        Subsystem: Dell Computer Corporation: Unknown device 009e
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=176
        Memory window 0: 10400000-107ff000 (prefetchable)
        Memory window 1: 10800000-10bff000
        I/O window 0: 00001800-000018ff
        I/O window 1: 00001c00-00001cff
        16-bit legacy interface ports at 0001

00:04.1 CardBus bridge: Texas Instruments PCI1225 (rev 01)
        Subsystem: Dell Computer Corporation: Unknown device 009e
        Flags: bus master, medium devsel, latency 168, IRQ 11
        Memory at 10001000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=06, subordinate=06, sec-latency=176
        Memory window 0: 10c00000-10fff000 (prefetchable)
        Memory window 1: 11000000-113ff000
        I/O window 0: 00003000-000030ff
        I/O window 1: 00003400-000034ff
        16-bit legacy interface ports at 0001

00:07.0 Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
(prog-if 80 [Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at 1080 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
(prog-if 00 [UHCI])
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at 1060 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
        Flags: medium devsel

00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E
(rev 10)
        Subsystem: Dell Computer Corporation: Unknown device 009e
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at 1400 [size=256]
        Capabilities: [c0] Power Management version 2

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility
P/M AGP 2x (rev 64) (prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 009e
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 11
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at 2000 [size=256]
        Memory at fc000000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [50] AGP version 1.0
        Capabilities: [5c] Power Management version 1

06:00.0 Ethernet controller: 3Com Corporation 3c575 [Megahertz] 10/100
LAN CardBus (rev 01)
        Subsystem: 3Com Corporation 3C575 Megahertz 10/100 LAN Cardbus
PC Card
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at 3000 [size=128]
        Memory at 11000000 (32-bit, non-prefetchable) [size=128]
        Memory at 11000080 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at 10c00000 [size=128K]
        Capabilities: [50] Power Management version 1


Comment 5 Arjan van de Ven 2001-03-08 04:33:30 EST
Should be fixed in the latest (0.1.20 or later) builds. Please verify once
they become available.
Comment 6 Sam Varshavchik 2001-03-08 18:56:04 EST
I am still getting some spurious messages from 2.4.2-0.1.22, but slightly
different than before:

PCI: No IRQ known for interrupt pin A of device 00:07.0. Please try using
pci=biosirq.
PCI: No IRQ known for interrupt pin B of device 00:07.1. Please try using
pci=biosirq.
Yenta IRQ list 0e80, PCI irq0
Socket status: 30000010
Yenta IRQ list 0e80, PCI irq0
Socket status: 30000006
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x300-0x307 0x378-0x37f 0x388-0x38f
0x398-0x39f 0x400-0x40f 0x480-0x48f 0x4c0-0x4df
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
eth0: 3Com 3c589, io 0x310, irq 9, hw_addr 00:60:97:46:2E:61
  8K FIFO split 5:3 Rx:Tx, auto xcvr
NET4: Linux IPX 0.44 for NET4.0
IPX Portions Copyright (c) 1995 Caldera, Inc.
IPX Portions Copyright (c) 2000 Conectiva, Inc.
NET4: AppleTalk 0.18a for Linux NET4.0
eth0: flipped to 10baseT
eth0: flipped to 10baseT


^^^^ yes, the eth0: message appears twice.

Comment 7 Michael K. Johnson 2001-03-12 22:37:10 EST
So only the next 5 lines are added:
NET4: Linux IPX 0.44 for NET4.0
IPX Portions Copyright (c) 1995 Caldera, Inc.
IPX Portions Copyright (c) 2000 Conectiva, Inc.
NET4: AppleTalk 0.18a for Linux NET4.0
eth0: flipped to 10baseT
Comment 8 Sam Varshavchik 2001-03-12 23:06:25 EST
Yes, and "PCI: No IRQ known for interrupt pin A" still gets reported.

Comment 9 Arjan van de Ven 2001-03-21 13:02:02 EST
I assume the hardware works despite the messages; in that case they are
just innocent debug messages which can be ignored. Please reopen this bug 
if the hardware doesn't work.

Note You need to log in before you can comment on or make changes to this bug.